ranges::views::partial_sum_fn Struct Reference
Inheritance diagram for ranges::views::partial_sum_fn:

## Synopsis of methods

constexpr view_closure< partial_sum_fn > | partial_sum {}

## Public Member Functions

template<typename Fun >
constexpr auto | operator() (Fun &&fun) const requires(!range< Fun >)
template<typename Fun = plus>
constexpr auto | operator() () const
Public Member Functions inherited from ranges::views::partial_sum_base_fn
template<typename Rng , typename Fun = plus>
constexpr auto | operator() (Rng &&rng, Fun fun={}) const -> partial_sum_view< all_t< Rng >, Fun > requires detail::partial_sum_view_constraints< all_t< Rng >, Fun >